Bug 1277198 - pppd segfaults with dump option
pppd segfaults with dump option
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ppp (Show other bugs)
7.2
Unspecified Unspecified
medium Severity high
: rc
: ---
Assigned To: Jaroslav Škarvada
qe-baseos-daemons
: FastFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 11:21 EST by Jaroslav Aster
Modified: 2018-06-04 08:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1197792
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Aster 2015-11-02 11:21:34 EST
The same issue on rhel-7.

ppp-2.4.5-33.el7

+++ This bug was initially created as a clone of Bug #1197792 +++

Description of problem:

pppd segfaults with dump option in configuration file on server site in xl2tpd VPN.

Version-Release number of selected component (if applicable):

ppp-2.4.5-8.el6


How reproducible:

Always.


Steps to Reproduce:
1. Configure client and server

SERVER
-------
a, install ppp and xl2tpd (from epel)

# yum --enablerepo=epel install ppp xl2tpd

b, configure server

# cat /etc/ppp/options.xl2tpd 
dump

# cat /etc/xl2tpd/xl2tpd.conf 
[global]
listen-addr = _SERVER_IP_CHANGE_

[lns default]
name = server
pppoptfile = /etc/ppp/options.xl2tpd
ppp debug = yes
require chap = yes
refuse pap = yes
require authentication = yes
ip range = 192.168.0.1-192.168.0.253
local ip = 192.168.0.254

# cat /etc/ppp/chap-secrets
client * "redhat123" *

c, start server

# service xl2tpd start

CLIENT
------
a, install ppp and xl2tpd (from epel)

yum --enablerepo=epel install ppp xl2tpd

b, configure client

# cat /etc/ppp/options.xl2tpd 
#nothing here

# cat /etc/xl2tpd/xl2tpd.conf
[global]
listen-addr = _CLIENT_IP_CHANGE_
debug network = yes

[lac server]
name = client
pppoptfile = /etc/ppp/options.xl2tpd
ppp debug = yes
lns = _SERVER_IP_CHANGE_

# cat /etc/ppp/chap-secrets
client * "redhat123" *

c, start client

# service xl2tpd start
# xl2tpd-control connect server


Actual results:

Segfault and no established vpn.

# cat /var/log/messages
...
Mar  2 16:48:04 sheep-26 pppd[4460]: Plugin pppol2tp.so loaded.
Mar  2 16:48:04 sheep-26 pppd[4460]: pppd options in effect:
Mar  2 16:48:04 sheep-26 pppd[4460]: debug#011#011# (from command line)
Mar  2 16:48:04 sheep-26 pppd[4460]: nodetach#011#011# (from command line)
Mar  2 16:48:04 sheep-26 pppd[4460]: dump#011#011# (from /etc/ppp/options.xl2tpd)
Mar  2 16:48:04 sheep-26 pppd[4460]: plugin pppol2tp.so#011#011# (from command line)
Mar  2 16:48:04 sheep-26 pppd[4460]: require-chap#011#011# (from command line)
Mar  2 16:48:04 sheep-26 pppd[4460]: refuse-pap#011#011# (from command line)
Mar  2 16:48:04 sheep-26 pppd[4460]: name server#011#011# (from command line)
Mar  2 16:48:04 sheep-26 kernel: pppd[4460]: segfault at 0 ip 0092e8bb sp bf9d62d0 error 4 in pppd[90d000+4c000]
...

Expected results:

No segfault and established vpn.

SERVER
-------
# ip a show dev ppp0
5: ppp0: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UNKNOWN qlen 3
    link/ppp 
    inet 192.168.0.254 peer 192.168.0.1/32 scope global ppp0

CLIENT
------
# ip a show dev ppp0
153: ppp0: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UNKNOWN qlen 3
    link/ppp 
    inet 192.168.0.1 peer 192.168.0.254/32 scope global ppp0

Additional info:
Comment 1 Paul Wouters 2016-05-10 16:34:57 EDT
this should really get into rhel7 - I had to grab fedora's ppp to get my DSL working without pppd segfaulting, and then i ran into other bugs (one of them I reported at https://bugzilla.redhat.com/show_bug.cgi?id=1334913

Note You need to log in before you can comment on or make changes to this bug.